Sha256: f4c38637e29f21865ba29826a3c7c28bbe922616cfd7cceac3f9eb19bd4ef193

Contents?: true

Size: 479 Bytes

Versions: 101

Compression:

Stored size: 479 Bytes

Contents

#!/bin/sh

command -v docker > /dev/null 2>&1 || {
  echo "Unable to find \`docker' on your \$PATH, is it installed?" >&2
  exit 1
}

docker version | grep -q "Server version\|Server:" || {
  echo "Unable to run \`docker version', the docker daemon may not be running" >&2

  if [ "$(id --user)" -eq 0 ]; then
    echo "Please ensure \`sudo docker version' succeeds and try again" >&2
  else
    echo "Please ensure \`docker version' succeeds and try again" >&2
  fi

  exit 1
}

Version data entries

101 entries across 101 versions & 2 rubygems

Version Path
codeclimate-fede-0.85.38 bin/check
codeclimate-fede-0.85.37 bin/check
codeclimate-fede-0.85.36 bin/check
codeclimate-fede-0.85.35 bin/check
codeclimate-fede-0.85.33 bin/check
codeclimate-fede-0.85.32 bin/check
codeclimate-fede-0.85.31 bin/check
codeclimate-fede-0.85.30 bin/check
codeclimate-fede-0.85.21 bin/check
codeclimate-fede-0.85.24 bin/check
codeclimate-fede-0.85.23 bin/check
codeclimate-0.85.23 bin/check
codeclimate-0.85.22 bin/check
codeclimate-0.85.21 bin/check
codeclimate-0.85.19 bin/check
codeclimate-0.85.18 bin/check
codeclimate-0.85.17 bin/check
codeclimate-0.85.15 bin/check
codeclimate-0.85.14 bin/check
codeclimate-0.85.13 bin/check